import React, { useState, useEffect } from 'react';
import 'go-design-system-theme/lib/styles.css';
import _Slider from 'rc-slider';
import 'rc-slider/assets/index.css';
import Tooltip from 'go-design-system-tooltip';

function Slider(props) {
  const {
    onChange,
    value = 0,
    showTooltip = false,
    min = 0,
    max = 100,
    containerStyles = {}
  } = props;
  const [sliderVal, setSliderVal] = useState(0);
  useEffect(() => {
    setSliderVal(value);
  }, value);
  const onChangeSlider = val => {
    setSliderVal(val);
    onChange(val);
  };
  return /*#__PURE__*/React.createElement("div", {
    className: "go-design-system-slider",
    style: containerStyles
  }, /*#__PURE__*/React.createElement(_Slider, {
    tipFormatter: value => value,
    min: min,
    max: max,
    onChange: onChangeSlider,
    trackStyle: {
      background: '#3A4EFF',
      height: 4
    },
    railStyle: {
      background: 'rgba(0, 17, 106, 0.2)',
      height: 4
    },
    handleStyle: {
      background: 'white',
      border: '0.75px solid rgba(0, 17, 106, 0.2)',
      opacity: 1,
      boxShadow: '0px 1.5px 2.5px rgba(26, 95, 158, 0.05)',
      borderRadius: 12,
      height: '1rem',
      width: '1rem'
    },
    activeDotStyle: {
      background: 'white',
      border: '0.75px solid rgba(0, 17, 106, 0.2)',
      boxShadow: '0px 1.5px 2.5px rgba(26, 95, 158, 0.05)',
      borderRadius: 12
    },
    handleRender: renderProps => {
      return /*#__PURE__*/React.createElement("div", renderProps.props, showTooltip ? /*#__PURE__*/React.createElement(Tooltip, {
        text: sliderVal
      }) : null);
    }
  }));
}

export default Slider;
